package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcOrder;
import org.dromara.system.domain.vo.TblDzbcOrderVo;
import org.dromara.system.domain.bo.TblDzbcOrderBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 定制班车-订单Service接口
 *
 * @author Lion Li
 * @date 2025-02-12
 */
public interface ITblDzbcOrderService {

    /**
     * 查询定制班车-订单
     */
    TblDzbcOrderVo queryById(Long id);

    /**
     * 查询定制班车-订单列表
     */
    TableDataInfo<TblDzbcOrderVo> queryPageList(TblDzbcOrderBo bo, PageQuery pageQuery);

    /**
     * 查询定制班车-订单列表
     */
    List<TblDzbcOrderVo> queryList(TblDzbcOrderBo bo);

    /**
     * 新增定制班车-订单
     */
    List<TblDzbcOrderVo> queryListByGroup(TblDzbcOrderBo bo);

    /**
     * 新增定制班车-订单
     */
    TblDzbcOrderBo insertByBo(TblDzbcOrderBo bo);

    /**
     * 修改定制班车-订单
     */
    Boolean updateByBo(TblDzbcOrderBo bo);

    /**
     * 校验并批量删除定制班车-订单信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
